Skip to main content
GET
/
v1
/
crypto
/
metrics
/
realized-price
Get Realized Price
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/crypto/metrics/realized-price \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "realized_price": 123,
      "symbol": "<string>",
      "time": "<string>",
      "timestamp": 123
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string
default:BTC
required

Token symbol (only BTC supported)

start_time
integer<int64>
required

Start time (Unix timestamp in seconds)

end_time
integer<int64>
required

End time (Unix timestamp in seconds)

time_type
enum<string>

Time field to filter on

Available options:
DATE,
OBSERVED_AT
limit
integer<int32>

Limit number of results (min=1, max=1000, if not set, return all matched data)

Response

OK

data
object[]
error
object
pagination
any
request_id
string
success
boolean